
Application: gvSIG desktop - gvSIG bugs #4989
La herramienta 'editor de atributos' falla con campos calculados.
02/18/2019 09:39 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.5.0-2913 (rev. org.gvsig.desktop-2.0.241)
Severity: Minor Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: 2912 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Si se activa la herramienta 'editor de atributos', al pinchar sobre la vista estando activa una capa con un campo calculado, sale un
error por la consola.

 WARN 482576 [AWT-EventQueue-0] (DefaultJDynForm.java:315) - Can't get value of field 'Field1'.
Attribute 'Field1'[comvalenciana_muni_c0ef8da6] is read only.
        at org.gvsig.fmap.dal.feature.impl.DefaultFeature.set(DefaultFeature.java:145)
        at org.gvsig.fmap.dal.feature.impl.DefaultEditableFeature.set(DefaultEditableFeature.java:87)
        at
org.gvsig.fmap.dal.feature.impl.dynobjectutils.DynObjectFeatureFacade.setDynValue(DynObjectFeatureFacade.java:115)
        at org.gvsig.tools.dynform.spi.dynformfield.AbstractJDynFormField.fetch(AbstractJDynFormField.java:409)
        at org.gvsig.tools.dynform.impl.DefaultJDynForm.getValues(DefaultJDynForm.java:313)
        at
org.gvsig.tools.dynform.services.dynformset.subform.SubformJDynFormSet.getFormValues(SubformJDynFormSet.java:629)
        at org.gvsig.featureform.swing.impl.DefaultJFeaturesForm.saveChanges(DefaultJFeaturesForm.java:343)
        at org.gvsig.featureform.swing.impl.DefaultJFeaturesForm.setQuery(DefaultJFeaturesForm.java:289)
        at org.gvsig.fmap.mapcontrol.tools.Listeners.AttributeEditorPointListener.point(AttributeEditorPointListener.java:159)
        at org.gvsig.fmap.mapcontrol.tools.Behavior.PointBehavior.mouseReleased(PointBehavior.java:94)
        at org.gvsig.fmap.mapcontrol.tools.CompoundBehavior.mouseReleased(CompoundBehavior.java:294)
        at org.gvsig.fmap.mapcontrol.MapControl$MapToolListener.mouseReleased(MapControl.java:1778)
        at java.awt.Component.processMouseEvent(Component.java:6535)
        at javax.swing.JComponent.processMouseEvent(JComponent.java:3324)
        at java.awt.Component.processEvent(Component.java:6300)
        at java.awt.Container.processEvent(Container.java:2236)
        at java.awt.Component.dispatchEventImpl(Component.java:4891)
        at java.awt.Container.dispatchEventImpl(Container.java:2294)
        at java.awt.Component.dispatchEvent(Component.java:4713)
        at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4888)
        at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4525)
        at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4466)
        at java.awt.Container.dispatchEventImpl(Container.java:2280)
        at java.awt.Window.dispatchEventImpl(Window.java:2750)
        at java.awt.Component.dispatchEvent(Component.java:4713)
        at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758)
        at java.awt.EventQueue.access$500(EventQueue.java:97)
        at java.awt.EventQueue$3.run(EventQueue.java:709)
        at java.awt.EventQueue$3.run(EventQueue.java:703)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:86)
        at java.awt.EventQueue$4.run(EventQueue.java:731)
        at java.awt.EventQueue$4.run(EventQueue.java:729)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:728)
        at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)
 INFO 483578 [AWT-EventQueue-0] (FeatureTableModel.java:349) - DelayAction.run[4] begin

Associated revisions
Revision 1852 - 02/26/2019 05:59 PM - Joaquín  del Cerro Murciano

refs #4989, corregido para que aunque se le diga a un campo que no es readonly, si su definicion dice que no les, haga caso a su definicion.

History
#1 - 02/26/2019 05:59 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#2 - 03/05/2019 10:13 AM - Álvaro Anguix
- Status changed from Fixed to Closed

05/17/2024 2/2


